#makefile for lfedit.c to run under Windows 3.x
#compile under small model assume ds=ss

OBJECTS = lf.obj lfedit.obj synan.obj alloca.obj xmalloc.obj lfeditio.obj filedlg.obj
CFLAGS = -O -G -ms -W -H
CPATH = f:\c

lfedit.exe : $(OBJECTS) lfedit.def lfedit.res
        bcc $(CFLAGS) -elfedit $(OBJECTS)
        rc lfedit.res

lfedit.res : lfedit.rc lf.ico filedlg.dlg lfedit.h
        rc -r -i$(CPATH)\include\ lfedit.rc

lf.obj : lf.c lf.h

lfedit.obj : lfedit.c lfedit.h

lfeditio.obf : lfeditio.c

filedlg.obj : filedlg.c filedlg.h

synan.obj : synan.c synan.y atree.h
        bcc $(CFLAGS) -DWINDOWS -c synan.c

xmalloc.obj: xmalloc.c

alloca.obj : alloca.c

.c.obj:
        BCC $(CFLAGS) -c $<
